import { jsx } from "react/jsx-runtime";
import { Octagon as Octagon$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Octagon = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Octagon", ...props, children: /* @__PURE__ */ jsx(Octagon$1, { weight: variant }) });
  }
);
Octagon.displayName = "Octagon";
Object.assign(Octagon, { isGdsIcon: true });
export {
  Octagon
};
